View Single Post
Old 12-25-04, 06:56 AM   #1
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default 1.0-6629 x86/x86-64 and Linux 2.6.10

It'd be great if one of the moderators could make this post sticky.

The 1.0-6629 NVIDIA Linux driver release for Linux/x86 and Linux/x86-64 may not work correctly with Linux 2.6.10 out-of-the box, depending on your configuration. If you do not wish to wait for an updated NVIDIA driver release to address this problem, you can solve it by downloading the attached patch files and following the steps below:

# sh NVIDIA-Linux-x86_64-1.0-6629-pkg0.run --extract-only
# cd NVIDIA-Linux-x86_64-1.0-6629-pkg0
# patch -p0 < /path/to/NVIDIA_kernel-1.0-6629-1165235.diff.txt
# patch -p0 < /path/to/NVIDIA_kernel-1.0-6629-1171869.diff.txt
# ./nvidia-installer

Note that if you're using 1.0-6629 for Linux/x86, either one of the -pkg0 and -pkg1 packages can be used. If you use 1.0-6629 for Linux/x86-64, you will likely want to substitute -pkg2 in the instructions (-pkg2 includes the Linux/x86 32-bit compatibility libraries).
Attached Files
File Type: txt NVIDIA_kernel-1.0-6629-1165235.diff.txt (581 Bytes, 13373 views)
File Type: txt NVIDIA_kernel-1.0-6629-1171869.diff.txt (2.1 KB, 11526 views)
zander is offline   Reply With Quote